org.apache.commons.math3.geometry.euclidean.threed

## Class Segment

- java.lang.Object
- - org.apache.commons.math3.geometry.euclidean.threed.Segment

    public class Segment
    extends Object

Simple container for a two-points segment.

Since:
  3.0
Version:
  $Id: Segment.java 1416643 2012-12-03 19:37:14Z tn $

### Field Summary

Fields
`private Vector3D` `end` End point of the segments.
`private Line` `line` Line containing the segment.
`private Vector3D` `start` Start point of the segment.

### Constructor Summary

Constructors
Constructor and Description
`Segment(Vector3D start, Vector3D end, Line line)` Build a segment.

### Method Summary

Methods
`Vector3D` `getEnd()` Get the end point of the segment.
`Line` `getLine()` Get the line containing the segment.
`Vector3D` `getStart()` Get the start point of the segment.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### start

    private final Vector3D start

Start point of the segment.

#### end

    private final Vector3D end

End point of the segments.

#### line

    private final Line line

Line containing the segment.

### Constructor Detail

#### Segment

    public Segment(Vector3D start,
           Vector3D end,
           Line line)

Build a segment.

Parameters:
  `start` - start point of the segment
  `end` - end point of the segment
  `line` - line containing the segment

### Method Detail

#### getStart

    public Vector3D getStart()

Get the start point of the segment.

Returns:
  start point of the segment

#### getEnd

    public Vector3D getEnd()

Get the end point of the segment.

Returns:
  end point of the segment

#### getLine

    public Line getLine()

Get the line containing the segment.

Returns:
  line containing the segment